Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui
Class ImageButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.gwtutils.client.ui.ImageButton

All Implemented Interfaces:
  HasClickHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

Direct Known Subclasses:
  ToggleImageButton

    public class ImageButton

extends Composite
implements HasClickHandlers

An button widget with an image (with rollover and selection effects) and an optional label. The primary style name of this widget is `"gwtutils-ImageButton"`. The dependent style names of the widget are `"rollover"`, `"selected"` and `"disabled"`. The primary style name of the image is `"gwtutils-ImageButtonImage"` and the primary style name of the label is `"gwtutils-ImageButtonLabel"`.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ImageButton(AbstractImagePrototype image)` Creates an `ImageButton` with the specified image prototype, which will be used for all button states (normal, rollover, selected, disabled).
`ImageButton(AbstractImagePrototype normal, AbstractImagePrototype rollover, AbstractImagePrototype selected, AbstractImagePrototype disabled)` Creates an `ImageButton` with images retrieved from the specified image prototypes.
`ImageButton(ImageResource image)` Creates a new `ImageButton` with the specified image resource, which will be used for all button states (normal, rollover, selected, disabled).
`ImageButton(ImageResource normal, ImageResource rollover, ImageResource selected, ImageResource disabled)`
`ImageButton(String image)` Creates an `ImageButton` with the specified image URL, which will be used for all button states (normal, rollover, selected, disabled).
`ImageButton(String normal, String rollover, String selected, String disabled)` Creates an `ImageButton` with images retrieved from the specified URLs.

Method Summary
`HandlerRegistration` | `addClickHandler(ClickHandler handler)` Registers a handler for `ClickEvent`s.
`String` | `getText()` Returns the text of the button.
`boolean` | `isEnabled()` Returns the enabled state of the button.
`void` | `onBrowserEvent(Event evt)` Prevent click events from being fired if the button is disabled.
`void` | `setEnabled(boolean isEnabled)` Sets the enabled state of the button.
`void` | `setText(String text)` Sets the text of the button.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### ImageButton

    public ImageButton(String image)

  Creates an `ImageButton` with the specified image URL, which will be used for all button states (normal, rollover, selected, disabled).

### ImageButton

    public ImageButton(ImageResource image)

  Creates a new `ImageButton` with the specified image resource, which will be used for all button states (normal, rollover, selected, disabled).

### ImageButton

    public ImageButton(AbstractImagePrototype image)

  Creates an `ImageButton` with the specified image prototype, which will be used for all button states (normal, rollover, selected, disabled).

### ImageButton

    public ImageButton(String normal,
                       String rollover,
                       String selected,
                       String disabled)

  Creates an `ImageButton` with images retrieved from the specified URLs.

  Parameters:
    `normal` - The location of the normal image.
    `rollover` - The location of the image to display when the mouse is over the widget. If `null`, defaults to the normal image.
    `selected` - The location of the image to display when the button is pressed. If `null`, defaults to the rollover image.
    `disabled` - The location of the image to display when disabled. If `null`, defaults to the normal image.

### ImageButton

    public ImageButton(ImageResource normal,
                       ImageResource rollover,
                       ImageResource selected,
                       ImageResource disabled)

### ImageButton

    public ImageButton(AbstractImagePrototype normal,
                       AbstractImagePrototype rollover,
                       AbstractImagePrototype selected,
                       AbstractImagePrototype disabled)

  Creates an `ImageButton` with images retrieved from the specified image prototypes.

  Parameters:
    `normal` - The prototype of the normal image.
    `rollover` - The prototype of the image to display when the mouse is over the widget. If `null`, defaults to the normal image.
    `selected` - The prototype of the image to display when the button is pressed. If `null`, defaults to the rollover image.
    `disabled` - The prototype of the image to display when disabled. If `null`, defaults to the normal image.

Method Detail

### setText

    public void setText(String text)

  Sets the text of the button.

### getText

    public String getText()

  Returns the text of the button.

### setEnabled

    public void setEnabled(boolean isEnabled)

  Sets the enabled state of the button.

### isEnabled

    public boolean isEnabled()

  Returns the enabled state of the button.

### addClickHandler

    public HandlerRegistration addClickHandler(ClickHandler handler)

  Registers a handler for `ClickEvent`s.

  Specified by:
    `addClickHandler` in interface `HasClickHandlers`

### onBrowserEvent

    public void onBrowserEvent(Event evt)

  Prevent click events from being fired if the button is disabled.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Composite`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD